Loading...
Searching...
No Matches
field_lazy_terminal_field< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::field_lazy_terminal_field< T, M >

Definition at line 77 of file field_lazy_terminal.h.

Inheritance diagram for field_lazy_terminal_field< T, M >:

## Public Types

using | base = field_lazy_base< field_lazy_terminal_field< T, M > >
using | size_type = geo_element::size_type
using | memory_type = M
using | scalar_type = T
using | field_type = field_basic< T, M >
using | space_type = typename field_type::space_type
using | geo_type = typename field_type::geo_type
using | float_type = typename float_traits< scalar_type >::type
using | band_type = band_basic< float_type, memory_type >
using | vector_element_type = Eigen::Matrix< scalar_type, Eigen::Dynamic, 1 >

## Public Member Functions

| field_lazy_terminal_field (const field_type &uh)
const geo_type & | get_geo () const
const space_type & | get_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K)
void | evaluate (const geo_type &omega_K, const geo_element &K, vector_element_type &uk) const

## Protected Attributes

field_type | _uh

## Additional Inherited Members

Protected Member Functions inherited from field_lazy_base< field_lazy_terminal_field< T, M > >
field_lazy_terminal_field< T, M > & | derived ()
const field_lazy_terminal_field< T, M > & | derived () const

## Member Typedef Documentation

## base

template<class T , class M >

using base = field_lazy_base<field_lazy_terminal_field<T,M> >

Definition at line 81 of file field_lazy_terminal.h.

## size_type

template<class T , class M >

using size_type = geo_element::size_type

Definition at line 82 of file field_lazy_terminal.h.

## memory_type

template<class T , class M >

using memory_type = M

Definition at line 83 of file field_lazy_terminal.h.

## scalar_type

template<class T , class M >

using scalar_type = T

Definition at line 84 of file field_lazy_terminal.h.

## field_type

template<class T , class M >

using field_type = field_basic<T,M>

Definition at line 85 of file field_lazy_terminal.h.

## space_type

template<class T , class M >

using space_type = typename field_type::space_type

Definition at line 86 of file field_lazy_terminal.h.

## geo_type

template<class T , class M >

using geo_type = typename field_type::geo_type

Definition at line 87 of file field_lazy_terminal.h.

## float_type

template<class T , class M >

using float_type = typename float_traits<scalar_type>::type

Definition at line 88 of file field_lazy_terminal.h.

## band_type

template<class T , class M >

using band_type = band_basic<float_type,memory_type>

Definition at line 89 of file field_lazy_terminal.h.

## vector_element_type

template<class T , class M >

using vector_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,1>

Definition at line 90 of file field_lazy_terminal.h.

## Constructor & Destructor Documentation

## field_lazy_terminal_field()

template<class T , class M >

field_lazy_terminal_field | ( | const field_type & | uh | ) |

explicit

Definition at line 94 of file field_lazy_terminal.h.

## Member Function Documentation

## get_geo()

template<class T , class M >

const geo_type & get_geo | ( |  | ) | const

Definition at line 98 of file field_lazy_terminal.h.

## get_space()

template<class T , class M >

const space_type & get_space | ( |  | ) | const

Definition at line 99 of file field_lazy_terminal.h.

## is_on_band()

template<class T , class M >

bool is_on_band | ( |  | ) | const

Definition at line 100 of file field_lazy_terminal.h.

## get_band()

template<class T , class M >

band_type get_band | ( |  | ) | const

Definition at line 101 of file field_lazy_terminal.h.

## initialize()

template<class T , class M >

void initialize | ( | const geo_type & | omega_K | ) |

Definition at line 120 of file field_lazy_terminal.h.

## evaluate()

template<class T , class M >

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | vector_element_type & | uk
| ) |  | const

Definition at line 126 of file field_lazy_terminal.h.

## Member Data Documentation

## _uh

template<class T , class M >

field_type _uh

protected

Definition at line 111 of file field_lazy_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_lazy_terminal.h